/* Qaquarelle
 * Copyright (C) 2009 Valeriy Fedotov <valeriy.fedotov@gmail.com>
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include "narrowdockwidget.h"

#include "commdefs.h"
#include <QtGui>

NarrowDockWidget::NarrowDockWidget( QWidget * parent, Qt::WindowFlags flags )
    : QDockWidget ( parent, flags )
{
    // Now the title bar is just QLabel. ^_^
    // Later will be changed to something more usable.
    titleBar = new QLabel("...");
    setTitleBarWidget(titleBar);
}

NarrowDockWidget::~NarrowDockWidget()
{
    SAFE_DELETE(titleBar);
}
